/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef FULL_IO_H
#define FULL_IO_H

#include <sys/types.h>
#include <stdio.h>
#include "int_sizes.h"

ssize_t full_read( int fd, void *buf, size_t count );
ssize_t full_write( int fd, const void *buf, size_t count );

ssize_t full_pread( int fd, void *buf, size_t count, off_t offset );
ssize_t full_pwrite( int fd, const void *buf, size_t count, off_t offset );

INT64_T full_pread64( int fd, void *buf, INT64_T count, INT64_T offset );
INT64_T full_pwrite64( int fd, const void *buf, INT64_T count, INT64_T offset );

ssize_t full_fread( FILE *file, void *buf, size_t count );
ssize_t full_fwrite( FILE *file, const void *buf, size_t count );

#endif
